* {
  font-size: 105%;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}

body {
  background-color: #333;
  background-image: url('~assets/abstract-luxury-gradient-blue-background-smooth-dark-blue-with-black-vignette-studio-banner.jpg');
  background-repeat: repeat;
  background-attachment: fixed;
  background-size: cover;
  color: #fff;
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  z-index: 1;
}

input {
  background-color: #a5d2fc41;
  color: rgba(231, 231, 231, 0.986);
  border-radius: 0.3rem;
}

ul {
  list-style: none;
}

button {
  transition: background-color 0.3s;
  border-radius: 0.3rem;
  color: rgba(231, 231, 231, 0.986);
  background-color: #27293bc0;
  border: none;
}

button.btn-plus {
  background-color: rgba(0, 255, 0, 0.034);
  font-size: 70%;
  size: 2rem;
  float:right;
}

button.btn-plus:hover {
  background-color: rgba(0, 128, 0, 0.589);
}

button.btn-delete {
  background-color: rgba(184, 5, 5, 0.163);
  font-size: 70%;
  size: 2rem;
  float:right;
}

button.btn-delete:hover {
  background-color: rgb(218, 4, 4);
}

button.btn-edit {
  background-color: rgba(0, 255, 0, 0.034);
  font-size: 70%;
  size: 2rem;
  float:right;
}

button.btn-edit-activated {
  background-color: rgba(230, 192, 89, 0.781);
  font-size: 70%;
  size: 2rem;
  float:right;
}

button.btn-danger {
  transition: background-color 0.3s;
  border-radius: 0.3rem;
  color: rgba(231, 231, 231, 0.986);
  background-color: #ff00005d;
}

button.table-btn.btn-right {
  margin-top: 15px;
  float: right;
}

button:hover {
  background-color: rgba(221, 151, 151, 0.336);
}

button.btn-danger:hover {
  background-color: rgb(255, 0, 0);
}

button.btn-edit:hover {
  background-color: rgba(230, 192, 89, 0.781);
  border: none;
}

input:disabled {
  color: gray;
}

.routed-components {
  margin-top: 30px;
  margin-left: 250px;
}

.sidebar {
  background-color: #27293bc0;
  color: #fff;
  width: 200px;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  overflow-y: auto;
}

.menu {
  list-style: none;
  padding: 0;
  margin: 20px 0;
}

.menu li {
  margin: 10px 0;
}

.menu a {
  color: #fff;
  text-decoration: none;
  display: block;
  padding: 10px 20px;
  transition: background-color 0.3s;
}

.menu a:hover {
  background-color: rgba(151, 221, 214, 0.336);
}

.activated-route {
  background-color: rgba(151, 221, 214, 0.336);
}